Package org.bukkit.event.raid

# Class RaidEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
org.bukkit.event.raid.RaidEvent

Direct Known Subclasses:
  `RaidFinishEvent`, `RaidSpawnWaveEvent`, `RaidStopEvent`, `RaidTriggerEvent`

public abstract class RaidEvent extends WorldEvent
Represents events related to raids.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RaidEvent(@NotNull Raid raid, @NotNull World world)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Raid`
`getRaid()`
Returns the raid involved with this event.

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, getHandlers, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RaidEvent

protected RaidEvent(@NotNull @NotNull Raid raid, @NotNull @NotNull World world)

## Method Details

### getRaid

@NotNull public @NotNull Raid getRaid()
Returns the raid involved with this event.

Returns:
  Raid